GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

gdcm::Codec Member List
This is the complete list of members for gdcm::Codec, including all inherited members.

CanCode(TransferSyntax const &) const =0 | gdcm::Coder | `[pure virtual]`
CanDecode(TransferSyntax const &) const =0 | gdcm::Decoder | `[pure virtual]`
Code(DataElement const &in_, DataElement &out_) | gdcm::Coder | `[inline, virtual]`
Decode(DataElement const &is_, DataElement &os) | gdcm::Decoder | `[inline, virtual]`
Decode(std::istream &is_, std::ostream &os) | gdcm::Decoder | `[inline, protected, virtual]`
InternalCode(const char *bv, unsigned long len, std::ostream &os) | gdcm::Coder | `[inline, protected, virtual]`
~Coder() | gdcm::Coder | `[inline, virtual]`
~Decoder() | gdcm::Decoder | `[inline, virtual]`